Bug 188960 - [PATCH] irc/py-supybot: stage
Summary: [PATCH] irc/py-supybot: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-24 14:20 UTC by Bartek Rutkowski
Modified: 2014-05-13 01:30 UTC (History)
1 user (show)

See Also:


Attachments
py-supybot-0.83.4.1.patch (1.38 KB, patch)
2014-04-24 14:20 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-24 14:20:00 UTC
- Stage

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-supybot/0.83.4.1/

Port maintainer (dhn@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-24 14:20:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->dhn

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2014-05-12 02:30:36 UTC
Responsible Changed
From-To: dhn->gerald

Per portmgr request, I am going to help and look into this.
Comment 3 dfilter service freebsd_committer 2014-05-13 01:23:18 UTC
Author: gerald
Date: Tue May 13 00:23:14 2014
New Revision: 353905
URL: http://svnweb.freebsd.org/changeset/ports/353905
QAT: https://qat.redports.org/buildarchive/r353905/

Log:
  Enable staging.
  
  PR:		188960
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	portmgr (blanket pre-approval)

Modified:
  head/irc/py-supybot/Makefile
  head/irc/py-supybot/pkg-plist

Modified: head/irc/py-supybot/Makefile
==============================================================================
--- head/irc/py-supybot/Makefile	Mon May 12 23:51:17 2014	(r353904)
+++ head/irc/py-supybot/Makefile	Tue May 13 00:23:14 2014	(r353905)
@@ -23,17 +23,16 @@ MANCOMPRESSED=	no
 MAN1=	supybot.1 supybot-adduser.1 supybot-wizard.1 supybot-botchk.1 \
 	supybot-plugin-create.1 supybot-plugin-doc.1
 
-NO_STAGE=	yes
 post-install:
 .for f in ${MAN1}
-	${INSTALL_MAN} ${WRKSRC}/docs/man/${f} ${MAN1PREFIX}/man/man1
+	${INSTALL_MAN} ${WRKSRC}/docs/man/${f} ${STAGEDIR}${MAN1PREFIX}/man/man1
 .endfor
 .if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for f in ${DOCS}
-	${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/${f} ${STAGEDIR}${DOCSDIR}
 .endfor
-	${INSTALL_DATA} ${WRKSRC}/docs/GETTING_STARTED ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/docs/GETTING_STARTED ${STAGEDIR}${DOCSDIR}
 .endif
 .if !defined(BATCH)
 	@${CAT} ${PKGMESSAGE}

Modified: head/irc/py-supybot/pkg-plist
==============================================================================
--- head/irc/py-supybot/pkg-plist	Mon May 12 23:51:17 2014	(r353904)
+++ head/irc/py-supybot/pkg-plist	Tue May 13 00:23:14 2014	(r353905)
@@ -6,6 +6,12 @@ bin/supybot-plugin-doc
 bin/supybot-plugin-package
 bin/supybot-test
 bin/supybot-wizard
+man/man1/supybot-adduser.1.gz
+man/man1/supybot-botchk.1.gz
+man/man1/supybot-plugin-create.1.gz
+man/man1/supybot-plugin-doc.1.gz
+man/man1/supybot-wizard.1.gz
+man/man1/supybot.1.gz
 %%PYTHON_SITELIBDIR%%/supybot/__init__.py
 %%PYTHON_SITELIBDIR%%/supybot/__init__.pyc
 %%PYTHON_SITELIBDIR%%/supybot/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Gerald Pfeifer freebsd_committer 2014-05-13 01:23:21 UTC
State Changed
From-To: open->closed

I just committed this patch, thank you!